Create Workflow
curl --request POST \
--url https://api.sixtyfour.ai/v1/workflows \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"definition": {
"blocks": [
{
"block_id": "source",
"block_name": "webhook",
"specs": {}
},
{
"block_id": "find_email",
"block_name": "find_email",
"specs": {
"mode": "PROFESSIONAL"
}
}
],
"edges": [
{
"from_block_id": "source",
"to_block_id": "find_email"
}
]
},
"description": "Finds a work email for each person sent to the workflow.",
"name": "Find work emails"
}
'import requests
url = "https://api.sixtyfour.ai/v1/workflows"
payload = {
"definition": {
"blocks": [
{
"block_id": "source",
"block_name": "webhook",
"specs": {}
},
{
"block_id": "find_email",
"block_name": "find_email",
"specs": { "mode": "PROFESSIONAL" }
}
],
"edges": [
{
"from_block_id": "source",
"to_block_id": "find_email"
}
]
},
"description": "Finds a work email for each person sent to the workflow.",
"name": "Find work emails"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
definition: {
blocks: [
{block_id: 'source', block_name: 'webhook', specs: {}},
{
block_id: 'find_email',
block_name: 'find_email',
specs: {mode: 'PROFESSIONAL'}
}
],
edges: [{from_block_id: 'source', to_block_id: 'find_email'}]
},
description: 'Finds a work email for each person sent to the workflow.',
name: 'Find work emails'
})
};
fetch('https://api.sixtyfour.ai/v1/workflows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sixtyfour.ai/v1/workflows",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'definition' => [
'blocks' => [
[
'block_id' => 'source',
'block_name' => 'webhook',
'specs' => [
]
],
[
'block_id' => 'find_email',
'block_name' => 'find_email',
'specs' => [
'mode' => 'PROFESSIONAL'
]
]
],
'edges' => [
[
'from_block_id' => 'source',
'to_block_id' => 'find_email'
]
]
],
'description' => 'Finds a work email for each person sent to the workflow.',
'name' => 'Find work emails'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sixtyfour.ai/v1/workflows"
payload := strings.NewReader("{\n \"definition\": {\n \"blocks\": [\n {\n \"block_id\": \"source\",\n \"block_name\": \"webhook\",\n \"specs\": {}\n },\n {\n \"block_id\": \"find_email\",\n \"block_name\": \"find_email\",\n \"specs\": {\n \"mode\": \"PROFESSIONAL\"\n }\n }\n ],\n \"edges\": [\n {\n \"from_block_id\": \"source\",\n \"to_block_id\": \"find_email\"\n }\n ]\n },\n \"description\": \"Finds a work email for each person sent to the workflow.\",\n \"name\": \"Find work emails\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sixtyfour.ai/v1/workflows")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"definition\": {\n \"blocks\": [\n {\n \"block_id\": \"source\",\n \"block_name\": \"webhook\",\n \"specs\": {}\n },\n {\n \"block_id\": \"find_email\",\n \"block_name\": \"find_email\",\n \"specs\": {\n \"mode\": \"PROFESSIONAL\"\n }\n }\n ],\n \"edges\": [\n {\n \"from_block_id\": \"source\",\n \"to_block_id\": \"find_email\"\n }\n ]\n },\n \"description\": \"Finds a work email for each person sent to the workflow.\",\n \"name\": \"Find work emails\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sixtyfour.ai/v1/workflows")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"definition\": {\n \"blocks\": [\n {\n \"block_id\": \"source\",\n \"block_name\": \"webhook\",\n \"specs\": {}\n },\n {\n \"block_id\": \"find_email\",\n \"block_name\": \"find_email\",\n \"specs\": {\n \"mode\": \"PROFESSIONAL\"\n }\n }\n ],\n \"edges\": [\n {\n \"from_block_id\": \"source\",\n \"to_block_id\": \"find_email\"\n }\n ]\n },\n \"description\": \"Finds a work email for each person sent to the workflow.\",\n \"name\": \"Find work emails\"\n}"
response = http.request(request)
puts response.read_body{
"block_count": 2,
"created_at": "2025-12-30T18:04:11.482913Z",
"definition": {
"blocks": [
{
"block_id": "source",
"block_name": "webhook",
"specs": {}
},
{
"block_id": "find_email",
"block_name": "find_email",
"specs": {
"mode": "PROFESSIONAL"
}
}
],
"edges": [
{
"from_block_id": "source",
"to_block_id": "find_email"
}
]
},
"description": "Finds a work email for each person sent to the workflow.",
"last_run_at": "2026-01-05T17:00:02.551870Z",
"locked": false,
"name": "Find work emails",
"revision": 3,
"updated_at": "2026-01-04T09:12:40.118204Z",
"workflow_id": "2f9d6c1e-8a4b-4f3d-b7e5-1c0a9d8e7f65"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"errors": [
{}
],
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}Workflows
Create Workflow
Creates a workflow from a graph of blocks.
Creating a workflow does not run it. Start a run with POST /v1/workflows/{workflow_id}/runs.
POST
/
v1
/
workflows
Create Workflow
curl --request POST \
--url https://api.sixtyfour.ai/v1/workflows \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"definition": {
"blocks": [
{
"block_id": "source",
"block_name": "webhook",
"specs": {}
},
{
"block_id": "find_email",
"block_name": "find_email",
"specs": {
"mode": "PROFESSIONAL"
}
}
],
"edges": [
{
"from_block_id": "source",
"to_block_id": "find_email"
}
]
},
"description": "Finds a work email for each person sent to the workflow.",
"name": "Find work emails"
}
'import requests
url = "https://api.sixtyfour.ai/v1/workflows"
payload = {
"definition": {
"blocks": [
{
"block_id": "source",
"block_name": "webhook",
"specs": {}
},
{
"block_id": "find_email",
"block_name": "find_email",
"specs": { "mode": "PROFESSIONAL" }
}
],
"edges": [
{
"from_block_id": "source",
"to_block_id": "find_email"
}
]
},
"description": "Finds a work email for each person sent to the workflow.",
"name": "Find work emails"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
definition: {
blocks: [
{block_id: 'source', block_name: 'webhook', specs: {}},
{
block_id: 'find_email',
block_name: 'find_email',
specs: {mode: 'PROFESSIONAL'}
}
],
edges: [{from_block_id: 'source', to_block_id: 'find_email'}]
},
description: 'Finds a work email for each person sent to the workflow.',
name: 'Find work emails'
})
};
fetch('https://api.sixtyfour.ai/v1/workflows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sixtyfour.ai/v1/workflows",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'definition' => [
'blocks' => [
[
'block_id' => 'source',
'block_name' => 'webhook',
'specs' => [
]
],
[
'block_id' => 'find_email',
'block_name' => 'find_email',
'specs' => [
'mode' => 'PROFESSIONAL'
]
]
],
'edges' => [
[
'from_block_id' => 'source',
'to_block_id' => 'find_email'
]
]
],
'description' => 'Finds a work email for each person sent to the workflow.',
'name' => 'Find work emails'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sixtyfour.ai/v1/workflows"
payload := strings.NewReader("{\n \"definition\": {\n \"blocks\": [\n {\n \"block_id\": \"source\",\n \"block_name\": \"webhook\",\n \"specs\": {}\n },\n {\n \"block_id\": \"find_email\",\n \"block_name\": \"find_email\",\n \"specs\": {\n \"mode\": \"PROFESSIONAL\"\n }\n }\n ],\n \"edges\": [\n {\n \"from_block_id\": \"source\",\n \"to_block_id\": \"find_email\"\n }\n ]\n },\n \"description\": \"Finds a work email for each person sent to the workflow.\",\n \"name\": \"Find work emails\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sixtyfour.ai/v1/workflows")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"definition\": {\n \"blocks\": [\n {\n \"block_id\": \"source\",\n \"block_name\": \"webhook\",\n \"specs\": {}\n },\n {\n \"block_id\": \"find_email\",\n \"block_name\": \"find_email\",\n \"specs\": {\n \"mode\": \"PROFESSIONAL\"\n }\n }\n ],\n \"edges\": [\n {\n \"from_block_id\": \"source\",\n \"to_block_id\": \"find_email\"\n }\n ]\n },\n \"description\": \"Finds a work email for each person sent to the workflow.\",\n \"name\": \"Find work emails\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sixtyfour.ai/v1/workflows")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"definition\": {\n \"blocks\": [\n {\n \"block_id\": \"source\",\n \"block_name\": \"webhook\",\n \"specs\": {}\n },\n {\n \"block_id\": \"find_email\",\n \"block_name\": \"find_email\",\n \"specs\": {\n \"mode\": \"PROFESSIONAL\"\n }\n }\n ],\n \"edges\": [\n {\n \"from_block_id\": \"source\",\n \"to_block_id\": \"find_email\"\n }\n ]\n },\n \"description\": \"Finds a work email for each person sent to the workflow.\",\n \"name\": \"Find work emails\"\n}"
response = http.request(request)
puts response.read_body{
"block_count": 2,
"created_at": "2025-12-30T18:04:11.482913Z",
"definition": {
"blocks": [
{
"block_id": "source",
"block_name": "webhook",
"specs": {}
},
{
"block_id": "find_email",
"block_name": "find_email",
"specs": {
"mode": "PROFESSIONAL"
}
}
],
"edges": [
{
"from_block_id": "source",
"to_block_id": "find_email"
}
]
},
"description": "Finds a work email for each person sent to the workflow.",
"last_run_at": "2026-01-05T17:00:02.551870Z",
"locked": false,
"name": "Find work emails",
"revision": 3,
"updated_at": "2026-01-04T09:12:40.118204Z",
"workflow_id": "2f9d6c1e-8a4b-4f3d-b7e5-1c0a9d8e7f65"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"errors": [
{}
],
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}Body
application/json
Response
Successful Response
Was this page helpful?